Page MenuHomePhabricator

Ctrl/Control-Space is overridden by keyboard layout changing shortcut on macOS
Closed, ResolvedPublic

Description

On macOS, Control-Space is the default keyboard shortcut for changing input source (also known as keyboard layout or input method).

I frequently write in different languages (English, Hebrew, Russian), so I use this shortcut all the time.

The Wikidata Query UI uses Control-Space for auto-completion of Wikidata item names. I cannot use this useful shortcut, because macOS overrides it.

I can change this setting in macOS, but I'd rather not change it. This kind of thing should remain default.

The Wikidata Query UI should have a different or an alternative shortcut for auto-completion.

Event Timeline

Amire80 created this task.Sep 1 2018, 1:34 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 1 2018, 1:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We probably should have more than one option for this. Maybe Cmd-Space or Alt-Space in this case?

Makes sense to me... I just hope it won't break yet another person's workflow :)

I think some IDEs use something with Tab for autocompletion, but I’m not sure if any Tab keyboard shortcuts are still free (Alt+Tab switches windows, Ctrl+Tab switches tabs, Shift+Tab fixes indentation).

Change 478279 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Add some more options for autocomplete key

https://gerrit.wikimedia.org/r/478279

Change 478279 merged by jenkins-bot:
[wikidata/query/gui@master] Add some more options for autocomplete key

https://gerrit.wikimedia.org/r/478279

Change 478580 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from fd9c214ea7c7cf590254baf93228a0fbfd26faa4:

https://gerrit.wikimedia.org/r/478580

Change 478580 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from fd9c214ea7c7cf590254baf93228a0fbfd26faa4:

https://gerrit.wikimedia.org/r/478580

Added Ctrl-Alt-Space and Alt-Enter as secondary shortcuts for now.

Ghuron added a subscriber: Ghuron.Dec 11 2018, 4:39 AM

works for chromeos 70.0.3538.110

Smalyshev closed this task as Resolved.Jan 3 2019, 12:12 AM
Smalyshev claimed this task.
Smalyshev triaged this task as Medium priority.